libzypp 17.37.10

zypp::debug::TraceCADBase Struct Reference

Base for a simple tracer. More...

`#include <zypp/base/Debug.h>`

Inheritance diagram for zypp::debug::TraceCADBase:

## Public Types
enum | What { CTOR , COPYCTOR , MOVECTOR , ASSIGN , MOVEASSIGN , DTOR , PING }

## Public Attributes
std::string | _ident

## Related Symbols
(Note that these are not member symbols.)
std::ostream & | operator<< (std::ostream &str, TraceCADBase::What obj)
| Stream output of TraceCADBase::What.

## Detailed Description

Base for a simple tracer.

Provides an enum indicating which traced functions were called.

Definition at line 67 of file Debug.h.

## Member Enumeration Documentation

## ◆ What

enum zypp::debug::TraceCADBase::What

Enumerator
CTOR |
COPYCTOR |
MOVECTOR |
ASSIGN |
MOVEASSIGN |
DTOR |
PING |

Definition at line 69 of file Debug.h.

## Friends And Related Symbol Documentation

## ◆ operator<<()

std::ostream & operator<< | ( | std::ostream & | str,
|  | TraceCADBase::What | obj )
| related

Stream output of TraceCADBase::What.

Definition at line 74 of file Debug.h.

## Member Data Documentation

## ◆ _ident

std::string zypp::debug::TraceCADBase::_ident

Definition at line 70 of file Debug.h.

The documentation for this struct was generated from the following file:

- zypp/base/Debug.h